commit:     8ea56b7c59feef505f1f7604d4885ab0893527ed
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 12 21:04:11 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Jun 12 21:44:17 2025 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=8ea56b7c

kde-plasma/xdg-desktop-portal-kde: 6.4.0 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../xdg-desktop-portal-kde-6.4.0.ebuild            | 65 ++++++++++++++++++++++
 1 file changed, 65 insertions(+)

diff --git 
a/kde-plasma/xdg-desktop-portal-kde/xdg-desktop-portal-kde-6.4.0.ebuild 
b/kde-plasma/xdg-desktop-portal-kde/xdg-desktop-portal-kde-6.4.0.ebuild
new file mode 100644
index 0000000000..413322f494
--- /dev/null
+++ b/kde-plasma/xdg-desktop-portal-kde/xdg-desktop-portal-kde-6.4.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="forceoptional"
+KFMIN=6.14.0
+QTMIN=6.8.1
+inherit ecm plasma.kde.org xdg
+
+DESCRIPTION="Backend implementation for xdg-desktop-portal that is using 
Qt/KDE Frameworks"
+
+LICENSE="LGPL-2+"
+SLOT="6"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE=""
+
+# dev-qt/qtbase:= slot op: Uses Qt::GuiPrivate for qtx11extras_p.h
+# dev-qt/qtbase:=[cups]: includes specifically the cups private header
+# dev-qt/qtgui: QtXkbCommonSupport is provided by either IUSE libinput or X
+COMMON_DEPEND="
+       >=dev-libs/wayland-1.15
+       >=dev-qt/qtbase-${QTMIN}:6=[cups,dbus,gui,widgets]
+       >=dev-qt/qtdeclarative-${QTMIN}:6
+       || (
+               >=dev-qt/qtbase-${QTMIN}:6[libinput]
+               >=dev-qt/qtbase-${QTMIN}:6[X]
+       )
+       >=dev-qt/qtwayland-${QTMIN}:6
+       >=kde-frameworks/kcoreaddons-${KFMIN}:6[dbus]
+       >=kde-frameworks/kconfig-${KFMIN}:6
+       >=kde-frameworks/kcrash-${KFMIN}:6
+       >=kde-frameworks/kglobalaccel-${KFMIN}:6
+       >=kde-frameworks/kguiaddons-${KFMIN}:6
+       >=kde-frameworks/ki18n-${KFMIN}:6
+       >=kde-frameworks/kiconthemes-${KFMIN}:6
+       >=kde-frameworks/kio-${KFMIN}:6
+       >=kde-frameworks/kirigami-${KFMIN}:6
+       >=kde-frameworks/knotifications-${KFMIN}:6
+       >=kde-frameworks/kservice-${KFMIN}:6
+       >=kde-frameworks/kstatusnotifieritem-${KFMIN}:6
+       >=kde-frameworks/kwidgetsaddons-${KFMIN}:6
+       >=kde-frameworks/kwindowsystem-${KFMIN}:6
+       >=kde-plasma/kwayland-${KDE_CATV}:6
+       >=kde-plasma/plasma-workspace-${KDE_CATV}:6
+       x11-libs/libxkbcommon
+"
+DEPEND="${COMMON_DEPEND}
+       >=dev-libs/plasma-wayland-protocols-1.18.0
+       >=dev-libs/wayland-protocols-1.25
+       >=dev-qt/qtbase-${QTMIN}:6[concurrent]
+"
+RDEPEND="${COMMON_DEPEND}
+       kde-misc/kio-fuse:6
+       sys-apps/xdg-desktop-portal
+"
+BDEPEND="
+       >=dev-qt/qtwayland-${QTMIN}:6
+       virtual/pkgconfig
+"
+
+CMAKE_SKIP_TESTS=(
+       # bugs: 926483, wants dbus/X11
+       colorschemetest
+)

Reply via email to